Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class Hyperlink

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Hyperlink

All Implemented Interfaces:
  EventListener, HasHTML, HasText, SourcesClickEvents

    public class Hyperlink

extends Widget
implements HasHTML, SourcesClickEvents

A widget that serves as an "internal" hyperlink. That is, it is a link to another state of the running application. When clicked, it will create a new history frame using `History.newItem(java.lang.String)`, but without reloading the page.

Being a true hyperlink, it is also possible for the user to "right-click, open link in new window", which will cause the application to be loaded in a new window at the state specified by the hyperlink.

### CSS Style Rules

- .gwt-Hyperlink { }

### Example

>     public class HistoryExample implements EntryPoint, HistoryListener {

>       private Label lbl = new Label();

>       public void onModuleLoad() {
>         // Create three hyperlinks that change the application's history.
>         Hyperlink link0 = new Hyperlink("link to foo", "foo");
>         Hyperlink link1 = new Hyperlink("link to bar", "bar");
>         Hyperlink link2 = new Hyperlink("link to baz", "baz");

>         // If the application starts with no history token, start it off in the
>         // 'baz' state.
>         String initToken = History.getToken();
>         if (initToken.length() == 0)
>           initToken = "baz";

>         // onHistoryChanged() is not called when the application first runs. Call
>         // it now in order to reflect the initial state.
>         onHistoryChanged(initToken);

>         // Add widgets to the root panel.
>         VerticalPanel panel = new VerticalPanel();
>         panel.add(lbl);
>         panel.add(link0);
>         panel.add(link1);
>         panel.add(link2);
>         RootPanel.get().add(panel);

>         // Add history listener
>         History.addHistoryListener(this);
>       }

>       public void onHistoryChanged(String historyToken) {
>         // This method is called whenever the application's history changes. Set
>         // the label to reflect the current history token.
>         lbl.setText("The current history token is: " + historyToken);
>       }
>     }

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`Hyperlink()` Creates an empty hyperlink.
`Hyperlink(java.lang.String text, boolean asHTML, java.lang.String targetHistoryToken)` Creates a hyperlink with its text and target history token specified.
`Hyperlink(java.lang.String text, java.lang.String targetHistoryToken)` Creates a hyperlink with its text and target history token specified.

Method Summary
`void` | `addClickListener(ClickListener listener)` Adds a listener interface to receive click events.
`java.lang.String` | `getHTML()` Gets this object's contents as HTML.
`java.lang.String` | `getTargetHistoryToken()` Gets the history token referenced by this hyperlink.
`java.lang.String` | `getText()` Gets this object's text.
`void` | `onBrowserEvent(Event event)` Fired whenever a browser event is received.
`protected void` | `onEnsureDebugId(java.lang.String baseID)` Affected Elements: -wrapper = the div around the link.
`void` | `removeClickListener(ClickListener listener)` Removes a previously added listener interface.
`void` | `setHTML(java.lang.String html)` Sets this object's contents via HTML.
`void` | `setTargetHistoryToken(java.lang.String targetHistoryToken)` Sets the history token referenced by this hyperlink.
`void` | `setText(java.lang.String text)` Sets this object's text.

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Hyperlink

    public Hyperlink()

  Creates an empty hyperlink.

### Hyperlink

    public Hyperlink(java.lang.String text,
                     boolean asHTML,
                     java.lang.String targetHistoryToken)

  Creates a hyperlink with its text and target history token specified.

  Parameters:
    `text` - the hyperlink's text
    `asHTML` - `true` to treat the specified text as html
    `targetHistoryToken` - the history token to which it will link
  See Also:
    `setTargetHistoryToken(java.lang.String)`

### Hyperlink

    public Hyperlink(java.lang.String text,
                     java.lang.String targetHistoryToken)

  Creates a hyperlink with its text and target history token specified.

  Parameters:
    `text` - the hyperlink's text
    `targetHistoryToken` - the history token to which it will link

Method Detail

### addClickListener

    public void addClickListener(ClickListener listener)

  Description copied from interface: `SourcesClickEvents`
  Adds a listener interface to receive click events.

  Specified by:
    `addClickListener` in interface `SourcesClickEvents`
  Parameters:
    `listener` - the listener interface to add

### getHTML

    public java.lang.String getHTML()

  Description copied from interface: `HasHTML`
  Gets this object's contents as HTML.

  Specified by:
    `getHTML` in interface `HasHTML`
  Returns:
    the object's HTML

### getTargetHistoryToken

    public java.lang.String getTargetHistoryToken()

  Gets the history token referenced by this hyperlink.

  Returns:
    the target history token
  See Also:
    `setTargetHistoryToken(java.lang.String)`

### getText

    public java.lang.String getText()

  Description copied from interface: `HasText`
  Gets this object's text.

  Specified by:
    `getText` in interface `HasText`
  Returns:
    the object's text

### onBrowserEvent

    public void onBrowserEvent(Event event)

  Description copied from interface: `EventListener`
  Fired whenever a browser event is received.

  Specified by:
    `onBrowserEvent` in interface `EventListener`
  Overrides:
    `onBrowserEvent` in class `Widget`
  Parameters:
    `event` - the event received

### removeClickListener

    public void removeClickListener(ClickListener listener)

  Description copied from interface: `SourcesClickEvents`
  Removes a previously added listener interface.

  Specified by:
    `removeClickListener` in interface `SourcesClickEvents`
  Parameters:
    `listener` - the listener interface to remove

### setHTML

    public void setHTML(java.lang.String html)

  Description copied from interface: `HasHTML`
  Sets this object's contents via HTML. Use care when setting an object's HTML; it is an easy way to expose script-based security problems. Consider using `HasText.setText(String)` whenever possible.

  Specified by:
    `setHTML` in interface `HasHTML`
  Parameters:
    `html` - the object's new HTML

### setTargetHistoryToken

    public void setTargetHistoryToken(java.lang.String targetHistoryToken)

  Sets the history token referenced by this hyperlink. This is the history token that will be passed to `History.newItem(java.lang.String)` when this link is clicked.

  Parameters:
    `targetHistoryToken` - the new target history token

### setText

    public void setText(java.lang.String text)

  Description copied from interface: `HasText`
  Sets this object's text.

  Specified by:
    `setText` in interface `HasText`
  Parameters:
    `text` - the object's new text

### onEnsureDebugId

    protected void onEnsureDebugId(java.lang.String baseID)

  Affected Elements:
  - -wrapper = the div around the link.

  Overrides:
    `onEnsureDebugId` in class `UIObject`
  Parameters:
    `baseID` - the base ID used by the main element
  See Also:
    `UIObject.onEnsureDebugId(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD